%global dist_name DepGen-Perl-Tests
Name:           perl-%{dist_name}
Version:        0.1.1
Release:        2%{?dist}
Summary:        Tests for RPM dependency generator for Perl packages
License:        GPLv3+
URL:            http://ppisar.fedorapeople.org/%{dist_name}/
Source0:        %{url}%{dist_name}-v%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  perl
BuildRequires:  perl(inc::Module::Install)
BuildRequires:  perl(strict)
BuildRequires:  perl(warnings)
# Run-Time:
BuildRequires:  %{_bindir}/perl
BuildRequires:  %{_bindir}/rpmbuild
BuildRequires:  %{_bindir}/tar
BuildRequires:  perl(AutoLoader)
BuildRequires:  perl(Exporter)
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(File::Path)
BuildRequires:  perl(File::ShareDir)
BuildRequires:  perl(File::Spec)
BuildRequires:  perl(File::Temp)
BuildRequires:  perl(RPM2)
BuildRequires:  perl(Test::More)
BuildRequires:  perl(Test::Simple)
BuildRequires:  perl(version) >= 0.77
BuildRequires:  perl(XSLoader)
Requires:       perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
Requires:       %{_bindir}/rpmbuild
Requires:       %{_bindir}/tar
# Somo of the test data are executed
Requires:       perl(AutoLoader)
Requires:       perl(Exporter)
Requires:       perl(ExtUtils::MakeMaker)
Requires:       perl(Test::Simple)
Requires:       perl(version) >= 0.77
Requires:       perl(XSLoader)

# Those auto/share files are data. So filter them.
%global __requires_exclude_from %{?__requires_exclude_from:%__requires_exclude_from|}^%{perl_vendorlib}/auto/share/
%global __provides_exclude_from %{?__provides_exclude_from:%__provides_exclude_from|}^%{perl_vendorlib}/auto/share/

%description
This is a regression test suite for Perl RPM dependency generator.

%prep
%setup -q -n %{dist_name}-v%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -type f -name '*.bs' -size 0 -exec rm -f {} \;
%{_fixperms} $RPM_BUILD_ROOT/*

%check
# XXX: This runs rpmbuild. Is it Ok?
make test

%files
%doc Changes COPYING
%{_bindir}/*
%{perl_vendorlib}/*
%{_mandir}/man1/*

%changelog
* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Wed Oct 23 2013 Petr Pisar <ppisar@redhat.com> - 0.1.1-1
- 0.1.1 bump

* Wed Oct 23 2013 Petr Pisar <ppisar@redhat.com> 0.1.0-1
- 0.1.0 version packaged
